juzu.request

## Class Phase

- java.lang.Object
- - juzu.request.Phase

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    Phase.Action, Phase.Event, Phase.Resource, Phase.View

      public abstract class Phase
      extends Object
      implements Serializable

  A phase.
  Author:
    Julien Viet
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Phase.Action`
    `static class` | `Phase.Event`
    `static class` | `Phase.Resource`
    `static class` | `Phase.View`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Phase.Action` | `ACTION` Action phase.
    `Class<? extends Annotation>` | `annotation` .
    `static Phase.Event` | `EVENT` Action phase.
    `static Phase.Resource` | `RESOURCE` Resource phase.
    `static Phase.View` | `VIEW` View phase.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract String` | `id(Annotation annotation)`
    `abstract String` | `name()`
    `static Phase` | `valueOf(String s)`
    `static List<Phase>` | `values()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ACTION

          public static final Phase.Action ACTION

      Action phase.

    - #### EVENT

          public static final Phase.Event EVENT

      Action phase.

    - #### VIEW

          public static final Phase.View VIEW

      View phase.

    - #### RESOURCE

          public static final Phase.Resource RESOURCE

      Resource phase.

    - #### annotation

          public final Class<? extends Annotation> annotation

      .

  - ### Method Detail

    - #### values

          public static List<Phase> values()

    - #### valueOf

          public static Phase valueOf(String s)

    - #### name

          public abstract String name()

    - #### id

          public abstract String id(Annotation annotation)
                             throws ClassCastException

      Throws:
        `ClassCastException`

Copyright © 2015 eXo Platform SAS. All rights reserved.